Bug 1539961 - RabbitMQ user name not set in Neutron transport_url [NEEDINFO]
Summary: RabbitMQ user name not set in Neutron transport_url
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Brent Eagles
QA Contact: Toni Freger
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-30 00:23 UTC by Benjamin Schmaus
Modified: 2018-08-20 12:59 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-20 12:58:39 UTC
jamsmith: needinfo? (beagles)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59 UTC
OpenStack gerrit 538966 None None None 2018-01-30 02:28 UTC
OpenStack gerrit 550440 None None None 2018-07-05 14:52 UTC
Launchpad 1746034 None None None 2018-01-30 00:23 UTC

Description Benjamin Schmaus 2018-01-30 00:23:31 UTC
Description of problem:

When deploying an overcloud stack with the OSP12 Tripleo Heat Templates, and overriding the default RabbitMQ admin user with the "RabbitUserName" parameter, Neutron will not be configured with a correct transport_url defaulting to the guest user which does not exist.

DEFAULT/rabbitmq_userid will be set correctly, but this is deprecated and will be overriden by the transport_url setting.

The issue is an incorrect parameter mapping in puppet-tripleo, tripleo::profile::base::neutron:

  $oslomsg_rpc_username = hiera('neutron::rabbit_userid', 'guest')

https://github.com/openstack/puppet-tripleo/blob/master/manifests/profile/base/neutron.pp#L88

Unlike the other services that user rabbit_userid, Neutron maps this parameter to neutron::rabbit_user

https://github.com/openstack/tripleo-heat-templates/blob/stable/pike/puppet/services/neutron-base.yaml#L127

openstack-tripleo-heat-templates-7.0.3-18.el7ost.noarch
puppet-tripleo-7.4.3-11.el7ost.noarch


Version-Release number of selected component (if applicable):
OSP12 

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jakub Libosvar 2018-02-01 14:54:59 UTC
This bug has already a patch upstream and Brent has reviewed it, so I'm assigning this bug to Brent.

Comment 14 errata-xmlrpc 2018-08-20 12:58:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.